supervisord::program { 'myprogram':
  command                 => 'command --args',
  process_name            => '%(process_num)s',
  numprocs                => '1',
  numprocs_start          => '0',
  priority                => '999',
  autostart               => true,
  autorestart             => 'unexpected',
  startsecs               => '1',
  startretries            => '3',
  exitcodes               => '0,2',
  stopsignal              => 'TERM',
  stopwaitsecs            => '10',
  stopasgroup             => false,
  killasgroup             => false,
  redirect_stderr         => false,
  stdout_logfile          => 'program_foo.log',
  stdout_logfile_maxbytes => '50MB',
  stdout_logfile_backups  => '10',
  stdout_capture_maxbytes => '0',
  stdout_events_enabled   => false,
  stderr_logfile          => 'program_foo.error',
  stderr_logfile_maxbytes => '50MB',
  stderr_logfile_backups  => '10',
  stderr_capture_maxbytes => '0',
  stderr_events_enabled   => false,
  environment             => {
    'HOME'   => '/home/myuser',
    'PATH'   => '/bin:/sbin:/usr/bin:/usr/sbin',
    'SECRET' => 'mysecret'
  },
  directory               => undef,
  umask                   => '022',
  serverurl               => 'AUTO'
}